# -*- coding: utf-8 -*-
from __future__ import unicode_literals

import django.contrib.postgres.fields.jsonb
import django.db.models.deletion
from django.db import migrations, models

import combo.apps.wcs.models


class Migration(migrations.Migration):

    dependencies = [
        ('data', '0046_text_to_jsonb'),
        ('auth', '0008_alter_user_username_max_length'),
        ('wcs', '0031_auto_20210723_1318'),
    ]

    operations = [
        migrations.CreateModel(
            name='WcsFormsUserCanAccessCell',
            fields=[
                (
                    'id',
                    models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID'),
                ),
                ('placeholder', models.CharField(max_length=20)),
                ('order', models.PositiveIntegerField()),
                ('slug', models.SlugField(blank=True, verbose_name='Slug')),
                (
                    'extra_css_class',
                    models.CharField(
                        blank=True, max_length=100, verbose_name='Extra classes for CSS styling'
                    ),
                ),
                ('public', models.BooleanField(default=True, verbose_name='Public')),
                (
                    'restricted_to_unlogged',
                    models.BooleanField(default=False, verbose_name='Restrict to unlogged users'),
                ),
                ('last_update_timestamp', models.DateTimeField(auto_now=True)),
                ('wcs_site', models.CharField(blank=True, max_length=50, verbose_name='Site')),
                (
                    'categories',
                    django.contrib.postgres.fields.jsonb.JSONField(
                        blank=True, default=dict, verbose_name='Categories'
                    ),
                ),
                ('groups', models.ManyToManyField(blank=True, to='auth.Group', verbose_name='Groups')),
                ('page', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='data.Page')),
                (
                    'template_name',
                    models.CharField(blank=True, max_length=50, null=True, verbose_name='Cell Template'),
                ),
            ],
            options={
                'verbose_name': 'Forms to which user has access',
            },
            bases=(
                combo.apps.wcs.models.CategoriesValidityMixin,
                combo.apps.wcs.models.CategoriesFilteringMixin,
                combo.apps.wcs.models.FormsUserCanAccessMixin,
                models.Model,
                combo.apps.wcs.models.WcsBlurpMixin,
            ),
        ),
    ]
